# -*- coding: utf-8 -*-

import autopath
from thumbs import initthumbs
from perm.rule import Thumb
from os.path import join, dirname
from sets import Set
data= join(dirname(__file__), 'data')

def setup_module(module):
    # petit hack de PERMS afin de lui faire prendre un fichier de config de test
    initthumbs.permission.PERMS = initthumbs.permission.perm_manager(join(data, 'perm.ini'))
    initthumbs.permission.USERCONTEXT = initthumbs.permission.user_context(filename=join(data, 'profiler.ini'))
    module.user_datas = {'infos': {'uid': ['anna.verkerk'],
                              'typeadmin': ['2'],
                              'user_groups': ['professeurs',
                                            'profs-5e1',
                                            'profs-5e2',
                                            'profs-5e3',
                                            'profs-3e1',
                                            'maths',
                                            'idaut',
                                            'domainusers',
                                            'groupe-test',
                                            'gr-testtime'],
                              'user': ['anna.verkerk'],
                              'homedirectory': ['/home/a/anna.verkerk'],
                              'cn': ['ANNA CATHA VERKERK']}
                     }
    module.annaverkerk_thumbs=['test_onglet','cartable']

def test_exthumb():

    a = initthumbs.InitThumbs(user_datas)
    a.get_user_id()
    assert a.user_id == '5'
    assert Set([thumb.name for thumb in a._get_user_exttabs()]) == Set(['google', 'cartable'])
    t1 = Thumb('google', param='http://www.google.fr')
    t2 = Thumb('cartable', param='http://www.cartable.fr')
    result_set = Set([t1, t2])
    assert Set([thumb.param for thumb in a._get_user_exttabs()]) == Set(['http://www.google.fr', 'http://www.cartable.fr'])
    assert a._get_user_exttabs() == result_set

def test_initthumbs():
    """ comparaisons des onglets externe et posh """
    a = initthumbs.InitThumbs(user_datas)
    assert type(a._get_user_inttabs()) == Set

def test_unionthumb():
    """ Union des onglets externe et interne """
    a = initthumbs.InitThumbs(user_datas)
    print a._get_insert_tabs()

