#!/usr/bin/env python
# -*- coding: UTF-8 -*-

from distutils.core import setup
import os, glob

BASE_DIR = 'share/'
XMLRPC_DIR = os.path.join(BASE_DIR, 'xmlrpc-posh')
BIN_DIR = 'bin'
INIT_DIR = '/etc/init.d/'

# copie des fichiers du client-serveur xmlrpc accompagnant la lib

data = [(XMLRPC_DIR, glob.glob('xmlrpc/*.*')),
        (os.path.join(XMLRPC_DIR, 'server'), glob.glob('xmlrpc/server/*.*')),
        (os.path.join(XMLRPC_DIR, 'client'), glob.glob('xmlrpc/client/*.*')),
        (os.path.join(XMLRPC_DIR, 'utils'), glob.glob('xmlrpc/utils/*.*')),
        (INIT_DIR, glob.glob('xmlrpc/init/*')),
        (INIT_DIR, glob.glob('interface/init/*')),
        ]

# listing récursif automatique
# et mise en forme du répertoire interface
interface = os.walk('interface/interface/')
for localdir, rep, files in interface:
    if files != []:
        localfiles = []
        for file in files :
            localfiles.append(os.path.join(localdir, file))
        data.append((os.path.join(XMLRPC_DIR, localdir), localfiles))
data.append((os.path.join(XMLRPC_DIR, 'interface'), glob.glob('interface/interface/__init__.py')))

setup(
    author='eole',
    author_email='eole@ac-dijon.fr',
    name='python-posh',
    version='2.0',
    description='Posh-porfiler tools',
    url='http://www.eole.orion.education.fr',
    packages=['posh', 'posh.thumbs', 'posh.perm', 'posh.config', 'posh.db', 'posh.backend', 'posh.logger'],
    data_files = data
)
